@echo off
REM %1 = $source = vom Export erstellte temporre Datei
set source=%1
REM %2 = $project = Projektordner im Workspace
set project=%2
REM %3 = $wsSource = Pfad zur epc-Datei
set wsSource=%3
REM extrahiert aus diesem Pfad nur den Dateinamen
for %%i in (%wsSource%) do set wsFile=%%~ni%%~xi
REM %~dp0 = Pfad zum Ordner des Batch-Skripts
REM Die damit referenzierten Dateien mssen im selben Ordner wie dieses Skript liegen
@echo on

echo source = %source%
echo project = %project%
echo wsSource = %wsSource%
echo wsFile = %wsFile%

@echo off
REM kopiert die durch XSLT-Transformation erstellte .csv ins Projektverzeichnis
@echo on
copy %source% %project%\%wsFile%.csv

@echo off
REM erstellt den Ordner 'Ergebnisse' im Projektverzeichnis
REM in diesen speichert DeSiM die Ergebnisse der Simulation
@echo on
mkdir %project%\Ergebnisse

@echo off
REM fhrt DeSiM aus (Paramter: Pfad zur .csv, Anzahl der Iterationen)
@echo on
%~dp0\desim.exe %project%\%wsFile%.csv 100


@echo off
REM Parst die von DeSiM entwickelte Ergebnisse.csv in ein html-Dokument, damit dieses mit angezeigt wird
@echo on
java -jar %~dp0\CsvToHtmlParser.jar %project%\Ergebnisse\Ergebnisse.csv

@echo off
REM kopiert die anzuzeigende Hauptdatei ins Projektverzeichnis.
REM Diese wird von der HTML-View angezeigt.
@echo on
copy %~dp0\ErgebnisseOhneProduktaenderung.html %project%\ErgebnisseOhneProduktaenderung.html

REM Aufrumen:
del %project%\%wsFile%.csv
